%def_without menu

Name: aseqview
Version: 0.2.1
Release: alt1

Summary: ASeqView - ALSA sequencer event viewer/filter
Group: Sound
License: GPL
Url: http://www.alsa-project.org/~iwai/alsa.html
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: http://www.alsa-project.org/~iwai/%name-%version.tar.gz

%if_with menu
Source1: %name-48x48.xpm
Source2: %name-32x32.xpm
Source3: %name-16x16.xpm
%endif

# Automatically added by buildreq on Sat Nov 08 2003
BuildRequires: XFree86-devel XFree86-libs glib-devel gtk+-devel libalsa-devel libcap-devel

%description
ASeqView is an ALSA sequencer user-client which works as event viewer.
It visualizes received events, e.g. note-on/off, controls, pitch wheels,
using bar graphs, as often seen in many sequencer programs. Using this
viewer, even a simple command line sequencer like pmidi or playmidi1
becomes a cool one with graphical interface :-)

Another feature of ASeqView is redirection of events. ASeqView can
output the received events to subscription ports with some modification
like channel mute or pitch change. Since this works as a real-time
filter client, such modifications can be applied also in real-time
without complexity.

%prep
%setup -q

%build
%configure
%make_build

%install
%makeinstall

%if_with menu
# Menu
%__cat <<__MENU__ > %name.menu
?package(%name): command="%_bindir/%name" needs="X11" section="Multimedia/%group" \
title="ASeqView" longtitle="ALSA sequencer event viewer/filter" \
icon="%name.xpm"
__MENU__

%__install -pD -m644 %name.menu %buildroot%_menudir/%name

# Install icons
%__install -pD -m644 %SOURCE1 %buildroot%_liconsdir/%name.xpm
%__install -pD -m644 %SOURCE2 %buildroot%_iconsdir/%name.xpm
%__install -pD -m644 %SOURCE3 %buildroot%_miconsdir/%name.xpm

%post
%update_menus

%postun
%clean_menus
%endif

%files
%_bindir/*
%_man1dir/*

%if_with menu
%_menudir/%name
%_iconsdir/%name.xpm
%_iconsdir/*/%name.xpm
%endif

%doc README ChangeLog AUTHORS

%changelog
* Wed Jan 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.2.1-alt1
- 0.2.1

* Sat Nov 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2.0-alt1
- 0.2.0

* Mon Oct 14 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.1.4-alt2
- Rebuild with gcc-3.2

* Fri May 24 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.1.4-alt1
- First build for Sisyphus. 
